Subject: bug#25851: 25.2; GTK warning when starting Emacs when desktop file has more than one frame

From: martin rudalics <[email-masked]>
Date: Sat, 29 Apr 2017 12:30:29 +0200

> Also I had no problems, over the past month or two, using your fix
 > to the definition of `xg_set_geometry' from Message #122
 > (https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25851#122) which
 > also fixed the bug successfully in Emacs 25.2rc2.
 >
 > Is there any possibility of your patch being cherry-picked to
 > emacs-25? Or is the plan to go to Emacs 26 next, rather Emacs
 > 25.3?

 > Is there any possibility of your patch being cherry-picked to
 > emacs-25? Or is the plan to go to Emacs 26 next, rather Emacs
 > 25.3?

Currently there are no plans for Emacs 25.3.  But doesn't your Emacs 25
already contain the patch?  The only difference I made lately was to set
the default value of ‘x-gtk-use-window-move’ so all you have to do is to
make the last line of your xterm.c read

x_gtk_use_window_move = true;

martin